<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>ITEA-JS ADVANCED - LESSON 2: CLASSWORK 2</title>
  <link rel="stylesheet" href="css/style.min.css" />
</head>
<body>
  <div class="wrap">
    <div class="testBlock hover">
      <button class="iButton" id="mouseHover">Наведи</button>
      <ul id="hoverResult" class="resultBlock">
        <li class="red">Hovered!</li>
        <li class="blue">Hovered!</li>
        <li class="orange">Hovered!</li>
        <li class="orange">Hovered!</li>
        <li class="purple">Hovered!</li>
      </ul>
    </div>

    <div class="testBlock click">
      <button class="iButton" id="mouseClick">Нажми правой кнопкой мышки</button>
      <div id="clickResult" class="resultBlock one two three four five six"></div>
    </div>

    <div class="testBlock context">
      <button class="iButton" id="mouseContext">Вызови контекстное меню</button>
      <div id="contextResult" class="resultBlock"></div>
    </div>

    <div class="testBlock keyboard">
      <button class="iButton" id="keyboardButton">Нажми на клавиатуре</button>
      <div id="keyboardResult" class="resultBlock"></div>
    </div>

  </div>

  <script>
    /*

      Поработаем немного с ивентами:
      onmouseenter
      onclick
      oncontextmenu
      onkeydown

      Задание:
      На каждую из конопок назначить действие которое будет выполнять следующее действие:
      1.На ховер(onmouseenter) повесить обработчик который будет при каждом наведении
        на кнопку будет выводить в блок результатом елемент li с текстом "hovered!"
        у которого будет один из следующих класов:
        red blue green orange purple

      2.На кнопку клика(onclick) повесить обработчик который будет удалять классы с
        блока с результатом по очереди в таком порядке:

        six > two > three > four > one > five

        после того как блок окажется пустым, добавить их в порядке возрастания

        one > two > three ... > six

      3.На кнопку контекстного меню (oncontextmenu) повесить обработчик который в блок
        для результата выведет блок со списком меню используя следующий шаблон:

        <a href="http://google.com.ua">Google</a>
        <a href="http://itea.ua/">ITEA</a>
        <a href="https://www.youtube.com/">Youtube</a>

        для запрета вызова контектстного меню, нужно в функцию обработчик передать событие
        element.onevent = function(e){...}
        и вызвать внутри этой функции из этой переменной
        e.preventDefault(); <- Отмена действия по умолчанию

        Повтороное кажатие на эту кнопку правой или левой кнопкой мыши должно очистить блок.

      4. На кнопку с обработчиком нажатия (onkeydown) повесить обработчик который будет
        Выводить число нажатий на любую из клавиш клавиатуры


    */
    var colors = ["red","blue","orange","orange","purple"];
    var hoverResult = document.getElementById("hoverResult");

    mouseHover.onmouseenter = function(){
      var rand; 
      var randColor;

      rand = Math.floor(Math.random() * colors.length);
      randColor = colors[rand];

      var li = document.createElement("li");
        hoverResult.appendChild(li);
        li.classList.add(randColor);
        li.innerHTML = "Hovered!";

    }

    var clickIndex = 0;
    var direction = true;

    mouseClick.onclick = function(){
      var clickResult = document.getElementById("clickResult");
      var numbers = ["six","two","three","four","one","five"];
      var numbersTrueDir = ["six","five","four","three","two","one"];
      if (direction){
      for (var i=0; i<clickResult.classList.length; i++){

        if (clickResult.classList[i] == numbers[clickIndex]){
          clickResult.classList.remove(clickResult.classList[i]);
        }

      } 
      if ( clickIndex < numbers.length - 1){
        clickIndex++;
      }
    } else{ 
      clickResult.classList.add(numbersTrueDir[clickIndex]);
      if ( clickIndex > 0){
        clickIndex--;
      }
      
    }
      
      if (clickResult.classList.length == 1 && direction == true){
        direction = false;
      }  
      if (clickResult.classList.length == numbersTrueDir.length+1 && direction == false) {
        direction = true;
      }
    }


    mouseContext.oncontextmenu = function(e){
      e.preventDefault(); 
      var divResult = document.getElementById("contextResult");
      divResult.classList.toggle("true");

        if (divResult.classList.contains('true')){
          var a1 = document.createElement("a");
            a1.htef = "http://google.com.ua";
            a1.innerHTML = "Google";
      
          var a2 = document.createElement("a");
            a2.htef = "http://itea.ua";
            a2.innerHTML = "ITEA";

          var a3 = document.createElement("a");
            a3.htef = "https://www.youtube.com";
            a3.innerHTML = "Youtube";
      
          divResult.appendChild(a1);
          divResult.appendChild(a2);
          divResult.appendChild(a3);
      } else{
          divResult.innerHTML = "";
        }
        
    }
    var count = 0;
    keyboardButton.onkeydown = function(){
      count++;
      var divKeyResult = document.getElementById("keyboardResult");
      divKeyResult.innerHTML = count;
    }
  </script>
</body>
</html>
